digest-0.0.1.2: Various cryptographic hashes for bytestrings; CRC32 and Adler32 for now.

Copyright | (c) 2008 Eugene Kirpichov
License | BSD-style
Maintainer | ekirpichov@gmail.com
Stability | experimental
Portability | portable (H98 + FFI)
Safe Haskell | None
Language | Haskell98

Data.Digest.Adler32

Description

Adler32 wrapper

Synopsis

- class Adler32 a where
  - adler32 :: a -> Word32
  - adler32Update :: Word32 -> a -> Word32

# Documentation

class Adler32 a where

The class of values for which Adler32 may be computed

Minimal complete definition

adler32Update

Methods

adler32 :: a -> Word32

Compute Adler32 checksum

adler32Update :: Word32 -> a -> Word32

Given the Adler32 checksum of a string, compute Adler32 of its concatenation with another string (t.i., incrementally update the Adler32 hash value).

Instances

Adler32 ByteString |
Adler32 ByteString |
Adler32 [Word8] |